package com.yutou.bilibili.mybatis.dao;

import com.yutou.bilibili.mybatis.model.UBiliUp;
import com.yutou.bilibili.mybatis.model.UBiliUpExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface UBiliUpDao {
    long countByExample(UBiliUpExample example);

    int deleteByExample(UBiliUpExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(UBiliUp record);

    int insertSelective(UBiliUp record);

    List<UBiliUp> selectByExample(UBiliUpExample example);

    UBiliUp selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") UBiliUp record, @Param("example") UBiliUpExample example);

    int updateByExample(@Param("record") UBiliUp record, @Param("example") UBiliUpExample example);

    int updateByPrimaryKeySelective(UBiliUp record);

    int updateByPrimaryKey(UBiliUp record);
}